from tms.menu.menus import Menu, MenuOption


def tell_joke_1():
    return "To get to the other side!"

def tell_joke_2():
    return "That's what she said!"

def tell_joke_3():
    return "Never mind, you might not get it..."


def first_menu():
    joke_menu = Menu("Jokes")

    menu_options = [
        {
            'name': "Why did the chicken cross the road?",
            'action': tell_joke_1,
            'key': "1"
        },
        {
            'name': "Damn, it won't fit.",
            'action': tell_joke_2,
            'key': "2"
        },
        {
            'name': "Do you want to hear a UDP joke?",
            'action': tell_joke_3,
            'key': "3"
        }
    ]
    joke_menu.populate_options(menu_options)
    return joke_menu


def test1():
    return "Hello, is this thing on?\nYes?... Ok.. Ahem...\nTesting.... 1...2...3..."


def test2():
    return "You sure this is working? I don't hear anything."

def second_menu():
    menu = Menu("submenus")
    menu1 = Menu("submenu_1")
    menu1_options = [
        {
            "name": "test1",
            "action": test1,
            "key": "1"
        },
        {
            "name": "test2",
            "action": test2,
            "key": "2"
        }
    ]
    menu1.populate_options(menu1_options)

    menu2 = Menu("submenu_2")
    menu2_options = [
        {
            "name": "test1",
            "action": test1,
            "key": "1"
        },
        {
            "name": "test2",
            "action": test2,
            "key": "2"
        }
    ]
    menu2.populate_options(menu2_options)

    menu_options = [
        {
            'name': "submenu1",
            'action': menu1,
        },
        {
            'name': "submenu2",
            'action': menu2,
        }
    ]
    menu.populate_options(menu_options)
    return menu

def make_all():
    menu_options = []
    for menu in [first_menu(), second_menu()]:
        menu_options.append(
            MenuOption(
                name=menu.name,
                action=menu,
                key=menu.name.lower()
            )
        )

    return menu_options